#
# spec file for package squid-beta (Version 3.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           squid-beta
BuildRequires:  expat gcc-c++ krb5 libexpat-devel libxml2-devel
BuildRequires:  openldap2-devel opensp-devel pam-devel sharutils
Summary:        Squid V3.0 WWW Proxy Server (new version)
Version:        3.0
Release:        438.35.1
License:        GPL v2 or later
%define		ver PRE6
Url:            http://www.squid-cache.org
Group:          Productivity/Networking/Web/Proxy
Requires:       logrotate
Provides:       http_proxy
PreReq:         permissions
Conflicts:      squid squid2 squid23 squid3
AutoReqProv:    on
%if %suse_version > 800
PreReq:         /usr/sbin/useradd, %insserv_prereq, %fillup_prereq
%else
PreReq:         /usr/sbin/useradd
%endif
Source0:        http://www.squid-cache.org/Versions/v3/3.0/squid-%{version}.%{ver}.tar.bz2
#%define       squid_ldapauth_version 1.3
#Source1:      squid_ldapauth-%{squid_ldapauth_version}.tar.bz2
Source2:        rc.squid
Source3:        squid-3.0.PRE6-RELEASENOTES.html
Source5:        pam.squid
Source6:        unsquid.pl
Source7:        squid.logrotate
Source9:        squid.permissions
Patch:          squid-2.5.dif
#
# the following patches are downloaded directly from the webserver
# don't change the names for easier identification
#
# please read every file if there is interest about what the patch changes
# or just visit: http://www.squid-cache.org/Versions/v3/3.0/changesets/
#
Patch01:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10789.patch
Patch02:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10790.patch
Patch03:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10791.patch
Patch04:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10792.patch
Patch05:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10796.patch
Patch06:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10797.patch
Patch07:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10798.patch
Patch08:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10800.patch
Patch09:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10801.patch
Patch10:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10802.patch
Patch11:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10803.patch
Patch12:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10804.patch
Patch13:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10805.patch
Patch14:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10806.patch
Patch15:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10808.patch
Patch16:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10809.patch
Patch17:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10811.patch
Patch18:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10812.patch
Patch19:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10813.patch
Patch20:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10814.patch
Patch21:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10815.patch
Patch22:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10816.patch
Patch23:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10817.patch
Patch24:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10818.patch
Patch25:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10820.patch
Patch26:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10821.patch
Patch27:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10822.patch
Patch28:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10823.patch
Patch29:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10824.patch
Patch30:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10825.patch
Patch31:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10826.patch
Patch32:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10827.patch
Patch33:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10828.patch
Patch34:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10829.patch
Patch35:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10830.patch
Patch36:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10831.patch
Patch37:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10832.patch
Patch38:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10833.patch
Patch39:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10834.patch
Patch40:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10836.patch
Patch41:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10837.patch
Patch42:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10838.patch
Patch43:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10839.patch
Patch44:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10840.patch
Patch45:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10841.patch
Patch46:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10843.patch
Patch47:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10844.patch
Patch48:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10845.patch
Patch49:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10846.patch
Patch50:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10847.patch
Patch51:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10848.patch
Patch52:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10849.patch
Patch53:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10850.patch
Patch54:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10851.patch
Patch55:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10852.patch
Patch56:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10853.patch
Patch57:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10854.patch
Patch58:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10855.patch
Patch59:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10856.patch
Patch60:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10857.patch
Patch61:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10858.patch
Patch62:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10859.patch
Patch63:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10860.patch
Patch64:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10861.patch
Patch65:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10862.patch
Patch66:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10863.patch
Patch67:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10865.patch
Patch68:        http://www.squid-cache.org/Versions/v3/3.0/changesets/10866.patch
#
# Patch100:       squid-3.0-gcc.patch
Patch101:       squid-beta-3.0-libmxl2.patch
Patch102:       squid-beta-3.0-64bit.patch
Patch103:       squid-beta-3.0-ia64.patch
Patch104:       squid-beta-3.0.pre4-gcc41_wur.patch
Patch105:       squid-beta-3.0-openldap.patch
Patch106:       squid-beta-3.0-mem_node_64bit.patch
Patch107:       squid-beta-3.0-md5.patch
Patch108:       squid-beta-3.0.PRE6-array_bound.patch
Patch109:       squid3-3.0.RC1-gcc43_warn.patch
Patch110:       squid3-3.0.STABLE1-icap_memset.patch
Patch111:       squid3-3.0.STABLE1-snmp_strncat.patch
Patch112:       squid_dns_dos_bnc576087.patch
Patch113:       squid-3.0.PRE6-b9070_b9074_b9074_b9081_b9082_bnc525774.patch
Patch114:       squid-3.0.PRE6-bug2541-bnc577347.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		squidlibdir %{_libdir}/squid
%define		squidconfdir /etc/squid

%description
A recent development snapshot of the squid V3.0 WWW proxy server.



Authors:
--------
    Duane Wessels <wessels@ircache.net>

%prep
%setup -q -n squid-%{version}.%{ver}
%patch -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
# %patch4 -p1
# %patch5 -p1
%patch6 -p1
# %patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
# %patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
# %patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
# %patch69 -p1
# %patch70 -p1
# %patch71 -p1
# %patch72 -p1
# %patch73 -p1
# %patch74 -p1
# %patch75 -p1
# %patch76 -p1
# %patch77 -p1
# %patch78 -p1
# %patch79 -p1
# %patch80 -p1
# %patch81 -p1
# %patch82 -p1
# %patch83 -p1
# %patch84 -p1
# %patch85 -p1
# %patch86 -p1
# %patch87 -p1
# %patch88 -p1
# %patch89 -p1
# %patch90 -p1
# %patch91 -p1
# %patch92 -p1
# %patch93 -p1
# %patch94 -p1
# %patch95 -p1
# %patch96 -p1
# %patch100 -p1
%patch101 -p1
perl -p -i -e 's|SAMBAPREFIX=/usr/local/samba|SAMBAPREFIX=/usr|' helpers/basic_auth/SMB/Makefile.in
perl -p -i -e 's|SAMBAPREFIX=/usr/local/samba|SAMBAPREFIX=/usr|' helpers/ntlm_auth/SMB/Makefile.in
perl -p -i -e 's|/usr/local/bin/perl|/usr/bin/perl|' `find -name "*.pl"`
if [ "%_lib" = "lib64" ]; then
# %patch102 -p1
 :
fi
%ifarch ia64
%patch103 -p1
%endif
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p0
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p0
%patch114 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIE -fPIC -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing"
export LDFLAGS='-pie'
autoreconf -fi
./configure --prefix=/usr \
	--sysconfdir=%{squidconfdir} \
	--bindir=/usr/sbin \
	--sbindir=/usr/sbin \
	--localstatedir=/var \
	--libexecdir=/usr/sbin \
	--datadir=/usr/share/squid \
	--libdir=%{_libdir} \
	--with-dl \
	--sharedstatedir=/var/squid \
	--enable-storeio=aufs,coss,diskd,null,ufs \
	--enable-disk-io=AIO,Blocking,DiskDaemon,DiskThreads \
	--enable-removal-policies=heap,lru \
	--enable-icmp \
	--enable-delay-pools \
	--enable-esi \
	--enable-useragent-log \
	--enable-referer-log \
	--enable-kill-parent-hack \
	--enable-snmp \
	--enable-arp-acl \
	--enable-htcp \
	--enable-ssl \
	--enable-forw-via-db \
	--enable-cache-digests \
	--enable-poll \
	--enable-linux-netfilter \
	--enable-large-files \
	--enable-underscores \
	--enable-auth=basic,digest,ntlm,negotiate \
	--enable-basic-auth-helpers=LDAP,MSNT,NCSA,PAM,SMB,YP,getpwnam,multi-domain-NTLM \
	--enable-ntlm-auth-helpers=SMB,no_check,fakeauth \
	--enable-digest-auth-helpers=password \
	--enable-ntlm-fail-open \
	--enable-icap-client \
	--enable-external-acl-helpers=ip_user,ldap_group,unix_group,wbinfo_group \
	--enable-stacktraces \
	--enable-x-accelerator-vary
# problematic options
#	--enable-truncate \
# overwrite the number of open filedescriptors of configure to 4096
# to be backward compatible, but numbers above should not be overwritten
if [ `awk '/SQUID_MAXFD/{print $3}' include/autoconf.h` -lt 4096 ]; then
     set +x
     echo "adapting SQUID_MAXFD to 4096"
     set -x
     perl -pi -e 's;(\#define SQUID_MAXFD) [0-9]+;$1 4096;' include/autoconf.h
fi
make 	DEFAULT_LOG_PREFIX=/var/log/squid \
	  DEFAULT_SWAP_DIR=/var/cache/squid \
	  DEFAULT_PID_FILE=/var/run/squid.pid \
	  SAMBAPREFIX=/usr

%install
/usr/sbin/useradd -r -o -g nogroup -u 31 -s /bin/false -c "WWW-proxy squid" \
	-d /var/cache/squid squid 2> /dev/null || :
mkdir -p $RPM_BUILD_ROOT/var/{cache,log}/squid
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make install DESTDIR=$RPM_BUILD_ROOT SAMBAPREFIX=/usr
mv $RPM_BUILD_ROOT{/etc/squid/,/usr/share/squid/}mime.conf.default
ln -s /etc/squid/mime.conf $RPM_BUILD_ROOT/usr/share/squid # backward compatible
install -d -m 755 $RPM_BUILD_ROOT/etc/permissions.d
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc/permissions.d/squid
install -d -m 755 $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT/etc/logrotate.d/squid
install -d %{buildroot}%{_mandir}/man8/
#chown squid:root -R $RPM_BUILD_ROOT/var/{cache,log}/squid
chmod 750 $RPM_BUILD_ROOT/var/{cache,log}/squid
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/squid
ln -sf /etc/init.d/squid $RPM_BUILD_ROOT/usr/sbin/rcsquid
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 doc/squid.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/basic_auth/LDAP/squid_ldap_auth.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/basic_auth/LDAP/squid_ldap_auth.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/basic_auth/PAM/pam_auth.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/external_acl/ldap_group/squid_ldap_group.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man8/*.8
install -d -m 755 doc/scripts
install scripts/*.pl doc/scripts
cat > doc/scripts/cachemgr.readme <<-EOT
	cachemgr.cgi will now be found in %{_libdir}/squid
EOT
install -d -m 755 $RPM_BUILD_ROOT/%{_libdir}/squid
mv $RPM_BUILD_ROOT/usr/sbin/cachemgr.cgi $RPM_BUILD_ROOT/%{_libdir}/squid
install -d -m 755 doc/contrib
install %{SOURCE6} doc/contrib
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/squid
#chown squid:shadow $RPM_BUILD_ROOT/usr/sbin/pam_auth
chmod g+s $RPM_BUILD_ROOT/usr/sbin/pam_auth
rm %{buildroot}/usr/sbin/Run*
rm -rf %{buildroot}%{squidconfdir}/errors
for i in errors/*; do
	if [ -d $i ]; then
		mkdir -p %{buildroot}/usr/share/squid/$i
		install -m 644 $i/* %{buildroot}/usr/share/squid/$i
	fi
done
ln -fs /usr/share/squid/errors/English %{buildroot}%{squidconfdir}/errors
# remove unpackaged files
#rm $RPM_BUILD_ROOT/usr/man/man8/*.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -o -g nogroup -u 31 -s /bin/false -c "WWW-proxy squid" \
	-d /var/cache/squid squid 2> /dev/null || :

%post
%run_permissions
# update mode?
if [ $1 -gt 1 ]; then
	if [ -e etc/squid.conf -a ! -L etc/squid.conf -a ! -e etc/squid/squid.conf ]; then
		echo "moving /etc/squid.conf to /etc/squid/squid.conf"
		mv etc/squid.conf etc/squid/squid.conf
	fi
fi
%{fillup_and_insserv squid}

%preun
%stop_on_removal squid

%postun
%restart_on_update squid
%insserv_cleanup
%verifyscript
%verify_permissions -e /usr/sbin/pam_auth

%files
%defattr(-,root,root)
%attr(750,squid,root) %dir /var/cache/squid
%attr(750,squid,root) %dir /var/log/squid
%dir %{squidconfdir}
%config(noreplace) %{squidconfdir}/squid.conf
%config(noreplace) %{squidconfdir}/cachemgr.conf
%config(noreplace) %{squidconfdir}/errors
%config(noreplace) /etc/logrotate.d/squid
%config(noreplace) %{squidconfdir}/mime.conf
%config(noreplace) %{squidconfdir}/msntauth.conf
%config(noreplace) %{squidconfdir}/msntauth.conf.default
%config(noreplace) %{squidconfdir}/squid.conf.default
%config /etc/pam.d/squid
%config /etc/init.d/squid
/etc/permissions.d/squid
%dir /usr/share/squid
/usr/share/squid/errors
/usr/share/squid/icons
%config /usr/share/squid/mib.txt
%_sbindir/diskd
%_sbindir/digest_pw_auth
%_sbindir/fakeauth_auth
%_sbindir/getpwname_auth
%_sbindir/ip_user_check
%_sbindir/msnt_auth
%_sbindir/ncsa_auth
%_sbindir/no_check.pl
%_sbindir/ntlm_auth
%verify(not mode) %attr(4755,root,shadow) %_sbindir/pam_auth
%_sbindir/pinger
%_sbindir/rcsquid
%_sbindir/smb_auth
%_sbindir/smb_auth.sh
%_sbindir/smb_auth.pl
%_sbindir/squid
%_sbindir/squid_ldap_auth
%_sbindir/squid_ldap_group
%_sbindir/squid_unix_group
%_sbindir/squidclient
%_sbindir/unlinkd
%_sbindir/wbinfo_group.pl
%_sbindir/yp_auth
/usr/share/squid/mime.conf
/usr/share/squid/mime.conf.default
%dir %{_libdir}/squid
%{_libdir}/squid/cachemgr.cgi
%doc %{_mandir}/man*/*
%doc CONTRIBUTORS COPYING COPYRIGHT CREDITS ChangeLog
%doc QUICKSTART README RELEASENOTES.html SPONSORS
%doc doc/contrib doc/scripts 
%doc doc/debug-sections.txt src/squid.conf.default
#%doc README.squid_ldapauth CREDITS.squid_ldapauth
#%doc squid_ldapauth.conf

%changelog
* Thu Mar 11 2010 draht@suse.de
- [bnc#576087] squid_dns_dos_bnc576087.patch fixes dns dos vuln.
  CVE-2010-0308
- [bnc#525774] squid-3.0.PRE6-b9070_b9074_b9074_b9081_b9082_bnc525774.patch
  fixes CVE-2009-2621 and CVE-2009-2622 (missing/wrong bounds checks
  in incomplete requests or large headers).
- [bnc#577347] squid-3.0.PRE6-bug2541-bnc577347.patch fixes
  CVE-2009-2855 denial of service with comma delimited auth headers
* Wed Aug 20 2008 kssingvo@suse.de
- fixed init script
* Thu May  8 2008 schwab@suse.de
- Use autoreconf.
* Wed Jan 16 2008 kssingvo@suse.de
- fixed build (compiler) errors
* Wed Dec 12 2007 kssingvo@suse.de
- BuildRequires doesn't need openldap2 anymore. fixed.
* Tue Nov 20 2007 kssingvo@suse.de
- added squid3 to Conflicts:
* Tue Nov 13 2007 kssingvo@suse.de
- fixed gcc-4.3 "-Wall -Werror" issues
* Wed Jul  4 2007 kssingvo@suse.de
- removed outdated pconn.h (bugzilla#288175)
- injected latest patches:
  * Squid hangs occasionally when using DNS search paths
  * digest_edir_auth helper, using novell eDirectory universal
    password
  * Add missing helpers/digest_auth/eDirectory/.cvsignore
  * ufsdump needs a bit of dependencies or parallell builds may
    fail
  * The last http.cc commit message is missing the following
    important change:
  * Try to revive a suspended service
  * Bypass failures of optional ICAP services.
  * Ignore comm_write notifications if the newly added
  * Added icap_connect_timeout and icap_io_timeout squid.conf
    options to control
  * Made AsyncJob::callException() virtual so that kids can
    customize exception
  * Do not retry server transactions aborted due to request body
    supply
  * Added debugging and polished comments.
  * Tell FwdState that an unregistered and failed Server is
  * Double "squid -k shutdown" makes Squid restart again
  * HTTP/0.9 responses support
  * Make ACLChecklist::matchAclListSlow a private member function.
    Not part of the public API
- fixed compilation issues on various architectures
* Thu Jun 14 2007 kssingvo@suse.de
- update to version 3.0PRE6:
  * Preparing to release Squid-3.0.PRE6
  * ICAPModXact needs to use the new AUTHUSERREQUESTLOCK() macro
  * Fixed NULL pointer passed to xstrdup in AuthUser::username().
  * Bug #1951: NTLM authentication does not work
  * Fixed assertion at src/ACLChecklist.cc:200
  * Fixed free() errors in AuthUser::~AuthUser()
  * Fixed NULL pointer bug in new version of auth_ntlm.cc.
  * Port of 2.6/changesets/11280.patch
  * Removed auth_user_request_t typedef. Just use AuthUserRequest.
  * Removed auth_user_request_t typedef. Just use AuthUserRequest.
  * Removed unused ICAPClientStream code.
  * Bug #1819 fix: retry the ICAP transaction when its pconn fails.
  * Two unrelated changes: A failed ICAP RESPMOD transaction could
    leave
  * Make sure the entire response body gets to ICAP, even when the
  * Bug #1819 fix in three parts: Retry failed ICAP pconns.
  * If a consumer leaves without consuming anything, do not tell
  * Added cbdataProtected parameter to control the last eventAdd
  * Updated NTLM/Negotiate test clients, explaining a bit of their
    use.
  * Added HTTP status code 307 (Temporary Redirect) to
    cacheableReply()
  * Bug #1752: cbdata problems with storeRegisterAbort()
  * FtpState should not call StoreEntry::unregisterAbort()
  * Bug #1950: cachemgr requests for auth helper stats can crash
    Squid
  * Bug #1950: cachemgr requests for auth helper stats can crash
    Squid
  * Bug #1688: assertion when Squid filters HTTP headers
  * Add HTTP status codes 416 and 417 to the list that Squid knows
    about.
  * FTP will no longer send REST command if offset exceeds size.
  * Fixed "spec->length >= 0" assertion for FTP request with range
  * Add HTTP status codes 416 and 417 to the list that Squid knows
    about.
  * Removed repeated assertion from httpHdrRangeRespSpecPackInto
  * Avoid memory leaks when submitting a NULL helper.
  * Removed casts from numeric types in debugs() statements.
  * Fixed buffer overflow bug in whois.cc.
  * Compile error: the address of `void sigusr2_handle(int)', will
    always evaluate as `true'
  * The hex/dec I/O format operators is in the std namespace
  * Convert debug statements to debugs
  * Adding a comment that tests/testUfs will fail when 'heap' is
    the only
  * Change diskd default DebugLevel to 0
  * Bug #1940: assertion failed: store.cc:850
  * Amos Jeffries' tidyup of the debugging sections.
  * unit testing fix for tests/testCoss.cc
  * Fix tests/testCoss; storeSwapOut is now StoreEntry::swapOut
  * Fix 'unknown http status code in reply' for status 408 replies
  * SQUID_HELPER define for including squid.h from helpers
  * Reserver the oa and ot logformat tags for outgoing address/tos.
  * Fix for compiling src/unlinkd.cc with kqueue and epoll.
  * Fix 'make check' for --disable-unlinkd
  * Fixed "ftpReadTransferDone: Got code 426 after reading data"
    SEGV
  * Fix "store_status == STORE_PENDING" assertion in FTP with large
    responses
  * Fix compile-time issue related to removing getRaw() uses.
  * Fix coredump bug when auth header contains invalid characters
  * Convert most of the debug() to debugs()'s; just to see how
    difficult it is.
  * Bugfix from StoreEntry method conversion: hashInsert is now a
    method
  * Converted a more StoreEntry functions to class methods:
  * Fix for --enable-cpu-profiling mode. Do not change PROF_start()
    arg.
  * Converted a few more StoreEntry functions to class methods:
  * Changed storeAbort() into StoreEntry::abort()
  * Removed some uses of RefCount::getRaw()
  * Removed some uses of RefCount::getRaw()
  * Removed some uses of RefCount::getRaw()
  * Removed a bunch of code marked UNUSED_CODE, OLD, and
    BROKEN_CODE
  * Removing storeLowestMemReaderOffset() as unused.
  * fix tests/testNull after storeSwapOut() becaome
    StoreEntry::swapOut()
  * Fix Squid <-> pinger communication.
  * Fix NULL pointer bug when using netdb and test_reachability.
  * Short StoreEntry::swapOut() does not compile when
    SIZEOF_OFF_T==4
  * Converted contentLen() to a StoreEntry class method.
  * Converted three store_swapout.cc functions to StoreEntry class
    methods
  * unit testing fix for tests/testUfs.cc
  * unit testing fix for tests/testNull.cc
  * Imported updated WCCP v2 draft from the authors
  * Converted contentLen() to a StoreEntry class method.
  * Converted objectLen() to a StoreEntry class method.
  * Rename cache_dir option read-only to no-store
  * Removed FtpStateData::rest_att because is not used anywhere
  * Add source code comments for retry-related functions in
    forward.cc
  * Bug #1935 fix: Do not retry a request after sending [some of]
    its body.
  * Remove cppunit from the Squid distribution
  * Convert Czech/ERR_SHUTTING_DOWN error file from DOS to Unix
    text format.
  * Convert Traditional Chinese error files from DOS to Unix text
    format.
  * Bug #1630: TPROXY needs porting from 2.6 to 3.x
  * Added 'store_log_tags' cache manager page. It reports counts of
    tags that
  * Added 'service_times' cachemgr page to report service time
    percentiles
  * Adding a perl script that can send HTCP queries
  * - Some test cases were missing AsyncCall.cc source, causing
    "make check"
  * The return value of comm_udp_recvfrom() must be stored into a
    signed
  * Reverted revision 1.442 change that was supposed to fix
  * The --enable-truncate and USE_TRUNCATE code has been removed.
  * Bug #1475: Filedescriptor limit does not need to be hardcoded
    for kqueue/epoll
  * fixed cbdata "cookie" assertion. peer_digest was unlocking
    peer, but did
  * minor debugging fix. There was newline in <<
  * Fixed SEGV during reconfigure due to NULL pointer bug in
    eventDelete()
  * A fix for the !flags.write_draining assertion. Due to the way
    diskd
  * Comment out some debugging messages that are printed before
    cache_log
  * solve some strange negative integer to double conversion bug by
    casting
  * Fixed disk file leak. UFS-based disk files were not always
    closed
  * This change should fix bug #1829.
  * Added reporting of swap and memory usage (%%used, %%free) to
    cachemgr info
  * This change should fix bug #1837: Segfault on configuration
    error
  * This change should fix bug #1898: "assertion failed:
    tunnel.cc:372"
  * This change should fix bug #1637.
  * Fix some HttpMsg lock counting bugs in HTCP.
  * backout an assertion mistakenly added by last commit
  * cache.log was being created as root, then would later fail to
    open
  * Fixed parsing diskd cache_dir Q1 and Q2 options
  * Since I changed the semantics of store_dirs_rebuilding
    yesterday (to match
  * - Bug #1356: Close open DNS sockets when doing idnsShutdown.
    Leaving them
  * store_dirs_rebuilding should be initialized to 1
  * Forward port of 2.x changes from Duane:
  * Cosmetic fix: added missing newline in WCCPv2 configuration
    dump.
  * Bug #1931: allow_underscore directive not available in Squid
    3.0
  * Fixed build error on Windows
  * Always use xisxxxx() Squid defined macros instead of ctype
    functions.
  * - bootsrap.sh | ./cleanpatch
  * - Added Axel Westerhold for his ICAP patches.
  * - ICAP-unrelated improvements from the squid3-icap branch on SF
  * - Replaced BodyReader with BodyPipe. BodyReader was a
  * - Added basic support for asynchronous calls. The calls are
  * - Support printing refcounted pointers to ostreams. When
  * IPV6 DNS and address formats RFCs
  * Subversion request methods
  * Bug #1908: store*DirRebuildFromSwapLog() ignores some
    SWAP_LOG_DEL entries
  * Remove more traces of wais
  * Kill the psuedo-support for wais. Was never really implemented.
  * automake no longer recommends mkinstalldirs. Remove it from the
    distribution.
  * draft-jaganathan-kerberos-http has been published as RFC4559
  * Bug #1420: 302 responses with an Expires header is always
    cached
  * Bug #1787: Objects stuck in cache if origin server clock in
    future
  * Clean up relations between TCP probing and DNS checks of peers
    with no known addresses.
  * Need to initialize neighbors even if not using ICP.
  * minor printf typo "%%ud" should be "%%u"
  * Two versions of DiskdIOStrategy::send() had a lot of duplicated
    code.
  * Bug #1865: deny_info redirection with authentication related
    acls
  * unlinkdClose() should be called after (not before)
    Store::Root().sync()
  * 2.6.STABLE is in branch SQUID_2_6
  * Squid-2.6 branched from Squid-2 HEAD
  * Bug #1873: authenticateNTLMFixErrorHeader: state 4.
  * Bug #1828: squid.conf docutemtation error for proxy_auth digest
  * Specifi LDADD for tcp-banger2 as it doesn't have much
    dependencies
  * Cleanup of AuthUserRequest->lastReply to keep ACL_AUTHENTICATED
    state
  * Move the AuthUser ip_list management to AuthUser where it
    belongs.
  * Bug #1792: max_user_ip not working with ntlm_auth
  * Bug #1857: Segmentation fault when accessing certain ftp://
    URLs
  * Bug #1858: digest_ldap_auth had some remains of old hash format
  * Accept large dates >2^31. Seen for example in the Google logo.
  * Fix the WCCPv2 mask assignment code to not crash as the value
    assignments are built.
  * Windows port: Fix build errors when using latest MinGW
    environment
  * Windows port: Fixed build error on MinGW using SSL support
  * Added .cvsignore and config.test files to POP3 helper.
  * Bug #1584: Unable to register with multiple WCCP2 routers
  * Bug #1840: Disable digest and netdb queries to multicast peers
  * Bug #439: Multicast ICP peering is unstable and considers most
    peers dead
  * Bug #1853: Support for ARP ACL on NetBSD
  * Bug #1853: Support for ARP ACL on NetBSD
  * Kill the obsolete -V command line option. Not working, and not
    in line
  * wccp2_router config fixes. Should not need to specify the port.
  * Build the POP3 helper Makefile
  * Bug #1839: Cosmetic debug message cleanup in
    peerHandleHtcpReply.
  * Simple POP3 basic auth helper querying a POP3 server
  * Bug #1832: Error building squid-2.6.STABLE5 using
  - -enable-truncate
  * Remove old/undefined variable from the profiling code.
  * Add profiling points into the fd code to note how long is being
    spent in syscalls.
  * Fix off-by-one in the kqueue event assembly code; remove silly
    extra comments from when I was <20..
  * Add in explicit typecast to silence gcc 4.x printf warnings
    under FreeBSD
  * High-res profiling changes - nested profiling, recursive
    profiling and profiling points
  * Add support for the weight= parameter to round-robin peers
  * Bug #1823: ntlm_auth/SMB/ntlm_auth.c fails to compile on some
    platforms due to a syntax error
  * Bug #1805: assertion failed: StatHist.c:195: "D[i] >= 0"
  * Remove extra newline in redirect message sent by deny_info
    http://... aclname
  * Minor adjustment of the release process to match how the
    changesets is generated
  * Add back the -CVS signature on the version number in CVS
- added the following official patches for this release:
  * Kill old stale code dealing with deferred reads and delay
    pools.
  * Mark kqueue as experimental
  * Clean up configure magics selecting which comm loop to use,
    promote epoll to stable
  * Bug #1939: --enable-epoll causes SSL to occationally hang
  * Restore the code making helpers run in their own sessions.
  * Database auth helper using Perl DBI
  * Bug #1983: Update the read timeout when reading from an CONNECT
    tunnel
  * Bug #1983: Update the read timeout when reading from an CONNECT
    tunnel
  * Rename more SSL references to Tunnel in tunnel.cc
  * Make tunnel.cc identify itself as tunnel and not ssl
  * Bug #1976 fix: Do not check OPTIONS response specifics if the
    response
  * Rollback String API changes. Delayed to 3.1.
  * Added 'clientside_tos' directive and feature.
  * Adjust refresh_pattern min-age to make 0 mean 0, not 1 second
  * URI-escape using the recommended upper case
  * Kill the redundant url_convert_hex function.
  * Equivalent to rfc1738_unescape
  * Back out unintentional commit of unrelated url.cc changes
  * Fix the cppunit tests to use setUp() rather than an static
    constructor to
  * Do not reuse a persistent ICAP connection if
    icap_persistent_connections in
  * The ICAP minimum for service_revival_delay and other OPTIONS
    retries is
  * Bug #1966 fix: Use rounded String MemPool sizes in the
    hard-coded pool
  * Bug #1967 fix: avoid new strncmp() that silently converts char*
    buffers into
  * Removed hopefully unused SIZEOF_CHUNK macro in preparation for
    bug #1966 fix.
  * %%URI external_acl_type tag for referencing the complete URI
  * SqString.cc:198: error: cannot convert 'unsigned int*' to
    'size_t*' for argument '2' to 'void* memAllocString(size_t, si
  * Load configure defines from src/cf_gen_defines
  * Fix 1-off bug left after strnlen bug removal.
  * Implement FreeBSD ipfw based ip transparent interception using
  * Haren SqStrign copy-constructor.
  * Fix old bug: append sometimes does not fully copy a string if
    \0 exists in source
  * Really remove String.cc and String.cci
  * Convert three old known points of buffer voilation to use
    protected code.
  * Make string handle append (NULL) gracefully instead of core
    dumping.
  * Fix: Squid does not compile with --enable-storeio=coss
  * Fixed assertion related to TCP_RESET feature
  * Added some debugging to ClientHttpRequest::doCallouts()
  * Fix compile errors slipped into ICAP on string API patch.
  * SqString core apparently not automatically added to cvs by
    patch.
  * Add string API layer for better string handling.
  * Add cfgman to Squid-3 snapshot generation
  * Imported cf.data.pre -> HTML script from Squid-2.
  * Fix reply header log format %%{header}<h. Was logging the
    request headers...
  * logformat %%rp logging the URL-Path only (excluding hostname)
  * More magic to have the configuration manual published
  * Move the delay pool parameters up before the MISC section (was
    in the middle of it..)
  * Update cfgman directory when making snapshots
  * Add md5 sums to snapshots
  * Bug #1957 fix: Close a persistent ICAP connection if we have to
    open a
  * Fixed "if (srv->flags.reserved = S_HELPER_FREE)" typo, assuming
    it should have
  * Replaced one more mem-> with direct mem_obj-> reference.
* Thu May 24 2007 kssingvo@suse.de
- moved cachemgr.cgi to %%{_libdir}/squid to make rpmlint happy
- removed errors directory from %%_docdir to make rpmlint happy
* Mon Apr 30 2007 ro@suse.de
- added libexpat-devel to buildrequires
* Tue Feb 27 2007 kssingvo@suse.de
- fixed ulimit setting: maxfd is now changed as official FAQ suggests
* Mon Jan 22 2007 kssingvo@suse.de
- removed duplicate PreReq from specfile (bugzilla#236285)
* Thu Jan 18 2007 kssingvo@suse.de
- applied permissions handling fix from squid package to get package
  building again
* Tue Dec 12 2006 kssingvo@suse.de
- upgrade to version 3.0PRE5 with many fixes/changes:
  * Update Changelog in preparation for the PRE release.
  * PRE4-CVS -> PRE5 preparation
  * Bug #1799: Harmless 1 byte buffer overflow on long hostnames in /etc/
    hosts
  * Add client source port logformat tag >p
  * Bug #1817: Assertion failure assert(buflen >= copy_sz) in htcp.c
    htcpBuildAuth()
  * Fix make check after changes for Bugs #1719 and #1695
  * Add support for wccpv2 mask assignment
  * - Many ICAP fixes from Alex Rousskov accumulated on the
  * Windows port: Correctly identify Windows Vista and Windows Server
    Longhorn
  * Bug #1778: Build error on Irix using SGI MipsPRO compiler
  * Bug #1778: Build error on Irix using SGI MipsPRO compiler
  * Alex reports getting coredumps (with high debugging) at process
  * Need to #include helper.h in dns.cc for --disable-internal-dns
  * bugfix: In clientProcessRequest(), the call to connNoteUseOfBuffer() was
  * minor nit: format intro comments and GPL text to fit within 80 columns
  * Bug #1778: Build error on Irix using SGI MipsPRO compiler
  * Bug #1778: Build error on Irix using SGI MipsPRO compiler
  * Removing port 563 from the default SSL_ports and Safe_ports ACLs
  * Bug #1794: Allow 00:00-24:00 time specifications even if redundant
  * Bug #1775: cachemgr storedir segfault with cache_dir null
  * Forward port of patches for Bug #1719 and Bug #1695 from 2.6.
  * Fix more stupid off-by-one errors parsing the request line.
  * Include missing profiling defines.
  * Remove another instance of temporary string abuse.
  * Reduce a couple of obvious string copies by using String references and
    filling them.
  * Only enforce HTTP version if we parsed a full request line.
  * Don't try parsing a blank request!
  * Add in a missing \n for the Squid access log format routine.
  * Fix/Add request-line parser debugging; fix bug with pipelined connection
    parsing
  * Fix an off-by-one bug in the UFS code. Thanks go to valgrind!
  * Bug #1782: Memory leak in ncsa_auth on password changes
  * Slightly change the request line demarcation logic a little in an
    attempt to find
  * Add in some more refresh-related debugging
  * Updated .cvsignore file
  * Bug #1784: access_log syslog results in blanks syslog lines between
    every access log entry.
  * Add profiling points for the string library.
  * Add in profiling points for header parsing and cleaning.
  * Add more profiling points
  * Create "inlined" Macro versions of the offset functions with the new
    request parser
  * Add profiling for the new request line parser
  * Replace the client-side request line parser
  * Various changes to break out the request parsing state and remove extra
    malloc/copies
  * Back out other unrelated change
  * Link Squid SNMP library as a .a library directly to avoid conflicts with
  * Do some small changes to the HTTP parser and client side code to
    (eventually) save on strlen() and similar calls
  * tcp-banger2 support for status validation and custom HTTP headers
  * Add in more profiling points to identify CPU usage
  * Add in a missing check for whether the new dlink-based pending comm
    callbacks are ready
  * Bug #1769: near-hit and filedescriptor usage missing in SNMP MIB
  * Bug #1774: ncsa_auth support for cramfs timestamps
  * ICAP cleanup of some cbdataReference misunderstanding.
  * Clean up cbdataReference() use to comply with the API and make GCC happy
  * Modify StoreEntry::write() probe to not overlap but still give accurate
    call numbers
  * Add in more profiling points
  * Add profiling points for Membuf::grow, ::append and ::consume
  * Additional hi-res probes
  * Bypass the expensive check to the allocator getStats() when obtaining
    inuse data
  * Fix a forgotten change during recent comm layer rework
  * First part of a comm layer rework
  * Un-astyle a flags definition
  * Bug #1768: Redundant DNS PTR lookups
  * Bug #1760: FTP related memory leak
  * Bug #1758: HEAD on ftp:// URLs always returned 200 OK.
  * Bug #1770: wccp2_weight directive
  * aio_win32.cc and aiops_win32.cc must be compiled only on MinGW
  * Portability fix: use memset() instead of deprecated bzero()
  * Fix a typo in recent commit
  * Fix astyle munging of flags.
  * Dist test headers for make check
  * Convert a debug() to debugs() to make GCC happy about formatting
  * Need to dist PeerDigest.h
  * Fix make check on MinGW
  * Add missing files from bugfix for COSS config-failures.
  * Avoid a string copy/reference operation in a reasonably critical path in
    the Header code
  * Fix bug 1218 by adding tests for the io engine of coss and ufs swapdirs
    after parsing completes, and providing a heurist
  * On MinGW store tests need win32.cc
  * Windows port: split Windows service code into WinSvc.cc, allowing
    correct execution of make check
  * Windows port: remove obsolete break from command line functionality
  * Fix a bug which resulted in objects being released after forwarding was
    complete.
  * add in some more debugging to refresh.cc
  * testURL needs GNUregex library on MinGW
  * Fix make dist error
  * Fix build error on MinGW when using --enable-icmp configure option
  * Bug #1759: cachemgr.cgi attempts to write to file system root directory
    under MSWIN builds
  * reverse last patch - i missed that the fd_set includes the
  * Bug #1579, 1475 - fix unlinkd to reduce the number of fd_set references
  * Rework the transaction completion/aborting in the ftp code to fix bug
    1592
  * Updated Windows related copyrigth notice
  * Bug #1754: BodyReader was reading too much data from the socket buffer.
  * Windows port: Added Windows threads support to DiskThreads Disk module
  * Windows port: Added Windows Overlapped I/O support to AIO Disk module
  * Add iiNet to the squid-3 sponsors list. Thanks iiNet!
  * Syntax glue to get the MemPool API back in shape.
  * Fix typo in stub_comm.cc
  * Windows port: merged Windows native IPC support
  * Forgotten to adjust the pointer type ... :-(
  * Remove a no more needed #ifdef _SQUID_MSWIN_ from structs.h
  * Windows port: merged Windows native IPC support
  * Windows port: merged Windows native IPC support
  * Fix wrong debug section in ipc.cc
  * Update MemPoolTest for MemPool changes.
  * skip memory cleanups on shutdown even if built in leak check mode.
    Broken.
  * Correctly free HttpHeaderFieldInfo array
  * silence gcc about some cbdata const violations
  * (Tres Seaver)Fix bug 975. Ths may cause memory leaks, though running
    1000 requests through showed no sign of it.
  * Cleanup of some MemAllocatorProxy abuse. This is a MemPool internal
    class,
  * Bugfix 1750 - support tunnelling of RTSP and other protocols that abuse
    HTTP by sending just the headers and then waitin
  * Valgrind support. Mainly rearranging of cbdata to make malloc debugging
  * Fix library link order in tests to more closely match what is used for
    the main
  * Fix build error of testEventLoop using gcc 4.1
  * Updated .cvsignore files
  * Portability fix: check if ip_user_check can be build
  * Windows port: Use a more explicative message during configure
  * Windows port: Specific OpenSSL trick for FD<=>socket equivalence
  * Windows port: Tricks for fd<=> socket equivalence need the usage of a
    C++ namespace
  * Windows port: Updated icmp.cc for MinGW support
  * Windows port: Added MinGW support to helper.cc
  * Windows port: Allow unlinkd to work on MinGW
  * Windows port: Allow build on MinGW (typecasting and linking)
  * Windows port: merge remaining MinGW configure "glue"
  * Windows port: add lib/win32lib.c. This add the emulation of some
    functions.
  * Windows port: Display also the Windows handle in the FD stats.
  * Windows port: add squid_mswin.h. This add FD<=>socket equivalence and
    other tricks.
  * Windows port: Redirect during early service startup stderr to a file.
  * Windows port: increase number of FDs to the maximum supported from CRT
    at
  * Fix warning on Windows about conflicting declaration of ev_entry
  * Add a missing function to make kqueue compile again.
  * Break checkTimeouts() out of each of the comm_select() routines, fixing
    kqueue's in the process
  * Fix bug 1642: FTP assertion/blank page on authentication error
  * Bug #1716: Squid 2.6-STABLE2 does not compile with newer versions of
    OpenSSL
  * Bug #1598: start_announce cannot be disabled
  * Fix bug 772, by reading aborted data from connections when there is a
    pending POST on the connection. This is still lack
  * (Tres Seaver) Fix bug 1749 - make check errors from gcc 3.5.5.
  * Bugzilla bug 1068: Check object pointer isn't NULL before calling
    methods/delete
  * Add an extra assert to HttpHeader::addEntry as extra insurance for bug
    1567.
  * Resurrect the old API of eventDelete(func, NULL) deleting all events
    with that callback
  * Fix bug #1568 - the assertion on the String having a buffer does not fit
    with
  * Address bug 951 by changing the assert to a debug statement. This may
    cause
  * Bug #1744: squid-2.6.STABLE3 - fakeauth_auth.core
  * Windows port: Disable printf formatting check on native Windows.
  * Windows port: Allow safe multithreaded usage of debug()
  * Windows port: fix another missing USE_SELECT_WIN32 in squid.h
  * Windows port: missing syscalls.selects in stats when USE_SELECT_WIN32 is
    defined.
  * Fix another harmless fake_auth compiler warning on gcc 4.1.1 x86
  * Fix some harmless fake_auth 64-bit compiler warnings
  * Bug #1706: Squid time acl accepts invalid time range.
  * Bug #1708: Ports in ACL accepts characters and out of range
  * Bug #1635: Merge in HTCP updates from 2.6.
  * Bug #212: variable %%i always 0.0.0.0
  * Bug #1602: Need to implement TCP fallback on truncated (large) DNS
    responses
  * Fix Squid crash when using %%a in ERR_INVALID_REQ and ERR_INVALID_URL
    error messages.
  * Split out cbdata fully, it now is an optional include and no Init call
    is needed.
  * Handle very large DNS responses gracefully.
  * Fixed a build error on Solaris 9 x86 (int format error)
  * Added check for 8 bit signed and unsigned integers
  * Fix typo in Steven's name
  * Fix an harmless compiler warning on Irix.
  * Portability fix: use _PATH_DEVNULL instead of "/dev/null"
  * Bugfix the event loop idle detection - it was broken, and correct the
    store fs
  * Bug #1736: Missing Italian translation of ERR_TOO_BIG error page
  * Bug #582: fake_auth ntlmGetString: bad ascii: ffffffb9 followed by
    FATAL: authenticateNTLMHandleReply: called with no re
  * Bug #1733: Small translation error to Portuguese ERR_CANNOT_FORWARD
  * Bug #1040: The bodge on OS/2 for _res is wrong
  * Add AsyncEngine and TimeEngine support to the EventLoop, allowing it to
  * Create an explicit EventLoop class which can be used to run an event
    loop
  * BUGFIX: eventRun of an event with non-cbdata callback argument used a
    random callback value.
  * Bug #1714: cache_dir coss line not shown correctly under cachemgr.cgi
    config
  * Remove unneeded duplication of RegexData logic from ACLHTTPHeaderData
    implementation.
  * Bug #1718: warning: the address of 'strerror_buf' will always evaluate
    as 'true'
  * Bug #1716: Fails to compile with OpenSSL 0.9.7j
  * wccp2_rebuild_wait directive to delay registering with WCCP until the
  * extend getpwnam helper to also support shadow password systems
  * Forward port of latest 2.6 WCCPv2 changes:
  * ARP acl support for OpenBSD, code common with the FreeBSD
    implementation.
  * Bug #1702: Squid silently accepts defining acl's with too long name,
    even
  * Bug #1694: Assertion failure in mgr:config if using access_log_format %%
    /td>
  * Bug #1691: multicast peering issues
  * Corrected bad debug sections
  * Bug #1381: assertion failed: cbdata.cc:367: "c->locks < 65535"
  * Bug #991: squid should fallback from resolv.conf to localhost
  * Stop making Squid-2.5 snapshots. The squid-2.5 tree is closed.
  * Windows arp ACL fixes by Gennadiy Tsarenkov:
  * make check needs wccp2.cc
  * Added WCCPv2 contributors and changelog entry
  * Bug #1674: Fails to build on S/390, MIPS, Sparc: no previous prototype
    for 'byteSwap'
  * Fixed wrong debug section
  * Added to the redirectors interface the support for SSL client
    certificate
  * Bug #1653: Username info not logged into Cachemgr active_requests
    statistics
  * Fixed wrong debug section
  * Fix wrong strsep() C++ prototype
  * Ran indent (again)
  * Ran indent
  * strsep() is not available on any platform, this add an own
    implementation.
  * Bug #1646: Memory corruption when using client-side SSL certificates
  * strsep() is not available on any platform, this add an own
    implementation.
  * Forward port of WCCPv2 support and latest WCCPv1 changes from 2.6.
  * Bug #1620: http_reply_access denied replies casuses assertion failure
  * ICAP bug: request satisfaction mode was not working. The presence of
  * cosmetic bugfix: need a space between request method and URL in
    debugging
  * Automatically rotate the changesets when making a release
  * Merged current mkrelease script from squid-2. The Squid-3 version
    failed..
* Sat Jul  8 2006 lrupp@suse.de
- no more man8 files to remove
* Wed Jun 21 2006 kssingvo@suse.de
- upgrade to version 3.0.PRE4
* Thu Feb  9 2006 kssingvo@suse.de
- removed/replaced non-GPL code with GPL compliant (bugzilla#143472)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 kssingvo@suse.de
- update to snapshot 20060116
- fixed various gcc/glibc problems
- removed already included patches
* Thu Dec 15 2005 kssingvo@suse.de
- update to snapshot 20051212
- adapted old patches
- added missing pconn.h
* Thu Nov 24 2005 kssingvo@suse.de
- update to snapshot 20051030
- adapted old patches
- fixed gcc4.1 warning errors
- adapted to compile with openldap again
- fixed 64bit issue
* Wed Aug  3 2005 kssingvo@suse.de
- finally the snapshot 20050715 builds with gcc4, pie, etc.
- adapted all the usual stuff to get it work
* Wed Apr 20 2005 coolo@suse.de
- small show case on what has to change for gcc4
* Sat Jan 15 2005 schwab@suse.de
- Use <owner>:<group> in permissions file.
* Mon Nov 15 2004 kukuk@suse.de
- Use common-* PAM config files
* Fri Jan 16 2004 kukuk@suse.de
- Add pam-devel to neededforbuild
* Wed Nov  5 2003 ro@suse.de
- package according to permissions.secure and add run_permissions
* Mon Sep  1 2003 kssingvo@suse.de
- fixed smb_auth (bugzilla#28260)
* Mon Sep  1 2003 kssingvo@suse.de
- specfile: restart of daemon on rpm package update (bugzilla#29036)
- try-restart needs rc_status for test and not rc_stop (bugzilla#26937)
* Tue Aug 26 2003 kssingvo@suse.de
- new fixes for the S390 arch
* Mon Aug 25 2003 kssingvo@suse.de
- updated to latest version: squid-3.0-PRE3
* Tue Aug 12 2003 kssingvo@suse.de
- compiler patch works also for ia64, which doesnt have a /usr/lib64
* Mon Aug 11 2003 kssingvo@suse.de
- compiler patches for various architectures
* Wed Jul 30 2003 poeml@suse.de
- replace invalid chown *.* syntax with *:*
* Fri Jul 25 2003 kssingvo@suse.de
- updated to 20030725 branch
- known problems: version might not compile on other architectures than ix86
* Thu Mar  6 2003 kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Tue Feb 18 2003 kssingvo@suse.de
- added and updated /etc/permissions.d/squid (bugzilla#23752)
* Mon Feb 17 2003 kssingvo@suse.de
- ix86 and ppc patches
* Thu Feb 13 2003 kssingvo@suse.de
- added ppc64 patch
- added s390 patch (which hopefully fixes ppc and i386 too)
* Wed Feb 12 2003 kssingvo@suse.de
- fixed 64bit compile problems (added a lot of correct definitions, %%ld, ...)
* Tue Feb 11 2003 kssingvo@suse.de
- now configure, installation and filelist looks good
* Mon Feb 10 2003 kssingvo@suse.de
- first compile 3.0-DEVEL version (before feature freeze)
  "configure" options have still to be optimizied. :)
* Mon Nov 11 2002 ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Mon Sep 23 2002 ro@suse.de
- fixed dependency typo
* Wed Sep 18 2002 kssingvo@suse.de
- fixed path of mime.conf.default
* Tue Sep 17 2002 kssingvo@suse.de
- update to 2.5.PRE13
- merged in changes from stable tree (e.g. Requires:, logrotate, %%attr, ...)
* Sun Jul 14 2002 poeml@suse.de
- update to 2.5.PRE8
- auth-helper NTLMSSP seems to be in the SMB auth module now
- rc.squid INIT section: use X-UnitedLinux-Should-Start
- use the same macro names as in the other squid package
- use %%defatt
* Tue Jul  2 2002 ro@suse.de
- create squid user
* Tue Mar 26 2002 okir@suse.de
- security fix (compressed DNS reply problems)
* Mon Feb 25 2002 poeml@suse.de
- disable HTCP support (upon recommendation of Henrik Nordstrom
  <hno@squid-cache.org>). The implementation lacks access control
  and logging, and does not add any value to cache peering compared
  to ICP.
* Sun Feb 24 2002 poeml@suse.de
- update to 2.5.PRE4. For the Changelog see
  http://www.squid-cache.org/Versions/v2/2.5/ChangeLog.txt
- add security patch that fixes a coredump on ftp:// style URLs
  (See http://www.squid-cache.org/Versions/v2/2.4/bugs/)
- make file locations more FHS conform:
  /var/squid/cache --> /var/cache/squid
  /var/squid/logs --> /var/log/squid
- specify DEFAULT_PIDFILE
- fix missing ] in %%post
- drop outdated README.SuSE and remove a couple of files from
  %%files that no longer exist
* Sat Feb  2 2002 poeml@suse.de
- replace GmbH --> AG
* Fri Dec 14 2001 ro@suse.de
- removed START_SQUID
* Wed Nov 21 2001 bjacke@suse.de
- new spec for new squid 2.5 devel version
* Tue Sep  4 2001 bodammer@suse.de
- specfile fix: install /etc/squid.conf with noreplace [Bug #10023]
* Wed Aug 29 2001 bodammer@suse.de
- update to squid-2.4.STABLE2
* Fri Aug 24 2001 ro@suse.de
- removed /lib/security path from pam.d config file
* Thu Aug 16 2001 bodammer@suse.de
- initscript and textfiles moved away from squid-2.4.STABLE1.dif
* Mon Aug 13 2001 ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu May 10 2001 bodammer@suse.de
- initscript fix: don't start squid in runlevel 2 [bug #7956]
* Wed May  9 2001 cstein@suse.de
- repacked the two tar archives with bzip2 (xzip)
* Thu Apr 19 2001 bodammer@suse.de
- new patch from www.squid-cache.org applied
* Tue Apr 17 2001 bodammer@suse.de
- initscript fix: check for running squid before creating cache-dir
* Thu Apr  5 2001 bodammer@suse.de
- patches from www.squid-cache.org applied
* Thu Apr  5 2001 bodammer@suse.de
- squid.conf: allow localhost access to squid by default
- initscript: ulimit -n 4096 added to increase filedescriptors
- cachemgr.cgi moved to doc/scripts
- build of Programming-Guide removed from specfile
* Fri Mar 30 2001 bodammer@suse.de
- initscript-fix: $named added for required startup
* Wed Mar 28 2001 bodammer@suse.de
- new initscript more LSB conform
* Thu Mar 22 2001 bodammer@suse.de
- update to squid-2.4.STABLE1
* Mon Mar 19 2001 bodammer@suse.de
- update to squid-2.4.PRE-STABLE2
* Fri Mar 16 2001 kukuk@suse.de
- Remove bogus requires
* Thu Mar 15 2001 ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 13 2001 bodammer@suse.de
- pam_auth: permissions changed to sgid shadow
* Mon Jan 22 2001 bodammer@suse.de
- initial package squid-2.4 (version squid-2.4.PRE-STABLE)
